io.vertx.rxjava.ext.web.api.contract

## Interface RouterFactory<Specification>

- All Known Implementing Classes:
    OpenAPI3RouterFactory

      public interface RouterFactory<Specification>

  Main interface for Design Driven Router factory Author: Francesco Guardiani @slinkydeveloper

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RouterFactory` | `addGlobalHandler(Handler<RoutingContext> globalHandler)` Deprecated.
    `RouterFactory` | `addSecurityHandler(String securitySchemaName, Handler<RoutingContext> handler)` Deprecated.
    `RouterFactory` | `getDelegate()`
    `RouterFactoryOptions` | `getOptions()` Deprecated.
    `Router` | `getRouter()` Deprecated.
    `Handler<RoutingContext>` | `getValidationFailureHandler()` Deprecated.
    `static <Specification> RouterFactory<Specification>` | `newInstance(RouterFactory arg)`
    `static <Specification> RouterFactory<Specification>` | `newInstance(RouterFactory arg, io.vertx.lang.rx.TypeArg<Specification> __typeArg_Specification)`
    `RouterFactory` | `setBodyHandler(BodyHandler bodyHandler)` Deprecated.
    `RouterFactory` | `setExtraOperationContextPayloadMapper(java.util.function.Function<RoutingContext,JsonObject> extraOperationContextPayloadMapper)` Deprecated.
    `RouterFactory` | `setNotImplementedFailureHandler(Handler<RoutingContext> notImplementedFailureHandler)` Deprecated.
    `RouterFactory` | `setOptions(RouterFactoryOptions options)` Deprecated.
    `RouterFactory` | `setValidationFailureHandler(Handler<RoutingContext> validationFailureHandler)` Deprecated.

- - ### Method Detail

    - #### getDelegate

          RouterFactory getDelegate()

    - #### addSecurityHandler

          @Deprecated
          RouterFactory addSecurityHandler(String securitySchemaName,
                                                       Handler<RoutingContext> handler)

      Deprecated.
      Mount to paths that have to follow a security schema a security handler
      Parameters:
        `securitySchemaName` -
        `handler` -
      Returns:

    - #### setOptions

          @Deprecated
          RouterFactory setOptions(RouterFactoryOptions options)

      Deprecated.
      Set options of router factory. For more info `RouterFactoryOptions`
      Parameters:
        `options` -
      Returns:

    - #### getOptions

          @Deprecated
          RouterFactoryOptions getOptions()

      Deprecated.
      Get options of router factory. For more info `RouterFactoryOptions`
      Returns:

    - #### getRouter

          @Deprecated
          Router getRouter()

      Deprecated.
      Construct a new router based on spec. It will fail if you are trying to mount a spec with security schemes without assigned handlers
      Note: Router is constructed in this function, so it will be respected the path definition ordering.
      Returns:

    - #### getValidationFailureHandler

          @Deprecated
          Handler<RoutingContext> getValidationFailureHandler()

      Deprecated.
      Returns:

    - #### setValidationFailureHandler

          @Deprecated
          RouterFactory setValidationFailureHandler(Handler<RoutingContext> validationFailureHandler)

      Deprecated.
      Set default validation failure handler. You can enable/disable this feature from `RouterFactoryOptions`
      Parameters:
        `validationFailureHandler` -
      Returns:
        this object

    - #### setNotImplementedFailureHandler

          @Deprecated
          RouterFactory setNotImplementedFailureHandler(Handler<RoutingContext> notImplementedFailureHandler)

      Deprecated.
      Set not implemented failure handler. It's called when you don't define an handler for a specific operation. You can enable/disable this feature from `RouterFactoryOptions`
      Parameters:
        `notImplementedFailureHandler` -
      Returns:
        this object

    - #### setBodyHandler

          @Deprecated
          RouterFactory setBodyHandler(BodyHandler bodyHandler)

      Deprecated.
      Supply your own BodyHandler if you would like to control body limit, uploads directory and deletion of uploaded files
      Parameters:
        `bodyHandler` -
      Returns:
        self

    - #### addGlobalHandler

          @Deprecated
          RouterFactory addGlobalHandler(Handler<RoutingContext> globalHandler)

      Deprecated.
      Add global handler to be applied prior to `Router` being generated.
      Please note that you should not add a body handler inside that list. If you want to modify the body handler, please use `setBodyHandler(io.vertx.rxjava.ext.web.handler.BodyHandler)`
      Parameters:
        `globalHandler` -
      Returns:
        this object

    - #### setExtraOperationContextPayloadMapper

          @Deprecated
          RouterFactory setExtraOperationContextPayloadMapper(java.util.function.Function<RoutingContext,JsonObject> extraOperationContextPayloadMapper)

      Deprecated.
      When set, this function is called while creating the payload of `OperationRequest`
      Parameters:
        `extraOperationContextPayloadMapper` -
      Returns:

    - #### newInstance

          static <Specification> RouterFactory<Specification> newInstance(RouterFactory arg)

    - #### newInstance

          static <Specification> RouterFactory<Specification> newInstance(RouterFactory arg,
                                                                          io.vertx.lang.rx.TypeArg<Specification> __typeArg_Specification)

Copyright © 2021 Eclipse. All rights reserved.